Summary:        XML processing library combining libxml2/libxslt with the ElementTree API
Name:           python-lxml
Version:        4.9.3
Release:        4%{?dist}
License:        BSD and MIT and zlib
URL:            https://github.com/lxml/lxml
Source0:        https://files.pythonhosted.org/packages/source/l/lxml/lxml-%{version}.tar.gz

Patch0001:      Make-the-validation-of-ISO-Schematron-files-optional.patch
Patch0002:      https://github.com/lxml/lxml/pull/380.patch
Patch0003:      https://github.com/lxml/lxml/commit/dcbc0cc1cb0cedf8019184aaca805d2a649cd8de.patch
Patch0004:      https://github.com/lxml/lxml/commit/a03a4b3c6b906d33c5ef1a15f3d5ca5fff600c76.patch
Patch0005:      backport-Change-HTML-prefix-handling-in-ElementPath-to-let-el.patch

Patch3000:      Skip-failing-test_iterparse_utf16_bom.patch

BuildRequires:  gcc
BuildRequires:  libxml2-devel libxslt-devel

%description
lxml is a Pythonic, mature binding for the libxml2 and libxslt libraries. It
provides safe and convenient access to these libraries using the ElementTree It
extends the ElementTree API significantly to offer support for XPath, RelaxNG,
XML Schema, XSLT, C14N and much more.To contact the project, go to the project
home page < or see our bug tracker at case you want to use

%package -n     python3-lxml
Summary:        XML processing library combining libxml2/libxslt with the ElementTree API
BuildRequires:  python3-devel python3-setuptools python3-Cython

Provides:       python-lxml = %{version}-%{release}
Provides:       python%{python3_version}-lxml = %{version}-%{release}

Suggests:       python%{python3_version}dist(cssselect)
Suggests:       python%{python3_version}dist(html5lib)
Suggests:       python%{python3_version}dist(beautifulsoup4)

%description -n python3-lxml
lxml is a Pythonic, mature binding for the libxml2 and libxslt libraries.

%prep
%autosetup -n lxml-%{version} -p1
find -type f -name '*.c' -print -delete

%build
env WITH_CYTHON=true %py3_build

%install
%py3_install

%check
cp -a build/lib.%{python3_platform}-*/* src/
%{python3} test.py -vuf

%files -n python3-lxml
%license LICENSES.txt doc/licenses/BSD.txt doc/licenses/elementtree.txt
%doc README.rst src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/readme.txt
%{python3_sitearch}/lxml/
%{python3_sitearch}/lxml-*.egg-info/

%changelog
* Fri Dec 29 2023 Shuo Wang <abushwang@tencent.com> - 4.9.3-4
- fix test fail when libxml2 update to 2.11.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.3-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 9 2023 Shuo Wang <abushwang@tencent.com> - 4.9.3-1
- update to 4.9.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 15 2022 Shuo Wang <abushwang@tencent.com> - 4.9.1-1
- initial build
